package ru.upworld.chat;

import org.bukkit.Bukkit;
import org.bukkit.plugin.java.JavaPlugin;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerJoinEvent;
import org.bukkit.event.EventHandler;
import org.bukkit.event.EventPriority;

public class UpWorldChat extends JavaPlugin implements Listener {
    
    private final String finalMsg=ChatUtil.translateColorCodes(CommandMsg.formatPrivateMe.replace("{NAME}", "разум")) + "ставь ! в начале сообщения, что бы крикнуть на весь мир";

    @Override
    public void onEnable() {
        Bukkit.getPluginManager().registerEvents(new ChatListener(), this);
        Bukkit.getPluginManager().registerEvents(this, this);
        getCommand("msg").setExecutor(new CommandMsg());
        log("Enabled!");
    }

    @Override
    public void onDisable() {
        log("Disabled!");
    }

    @EventHandler(priority = EventPriority.NORMAL)
    public void helpMsg(PlayerJoinEvent e) {
        e.getPlayer().sendMessage(finalMsg);
    }

    public static void log(String msg) {
        Bukkit.getServer().getConsoleSender().sendMessage("[§3Chat§9] §4" + msg);
    }

}
